# coding=utf-8
# --------------------------------------------------------------------------
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class PlacePlaceResponseDTO(Model):
    """PlacePlaceResponseDTO.

    :param place_id: The place identifier
    :type place_id: int
    :param place_code: The place code
    :type place_code: str
    :param place_info: The place info
    :type place_info: str
    :param parent: The parent of the place. The parent is the place directly
     above the current place on the buildings and meters tree
    :type parent: ~energycap.sdk.models.PlacePlaceChildDTO
    :param place_type: The place type
    :type place_type: ~energycap.sdk.models.PlacePlaceTypeResponseDTO
    :param created_date: The date and time the place was created
    :type created_date: datetime
    :param created_by: The user who created the place
    :type created_by: ~energycap.sdk.models.UserUserChildDTO
    :param modified_date: The date and time of the most recent modification to
     the place
    :type modified_date: datetime
    :param modified_by: The user who most recently modified the place
    :type modified_by: ~energycap.sdk.models.UserUserChildDTO
    :param address: The address of the place
    :type address: ~energycap.sdk.models.AccountsAddressChildDTO
    :param build_date: The date and time the place was built
    :type build_date: datetime
    :param primary_use: The place's primary use
    :type primary_use: ~energycap.sdk.models.PrimaryUsePrimaryUseChildDTO
    :param weather_station: The weather station the place is assigned to
    :type weather_station:
     ~energycap.sdk.models.LogicalDeviceWeatherStationChildDTO
    :param size: Data pertaining to the current floor area when Place Type is
     a structure, when not a structure it is a total of all child floor areas
    :type size: ~energycap.sdk.models.PlacePlaceSizeChildDTO
    :param energy_star_enabled: Tells whether energy star is enabled for give
     place
    :type energy_star_enabled: bool
    :param energy_star_rating: The most recent ENERGY STAR rating
    :type energy_star_rating:
     ~energycap.sdk.models.PlaceEnergyStarRatingChildDTO
    :param places: An array of child places. A child place is one directly
     beneath the current place on the buildings and meters tree
    :type places: list[~energycap.sdk.models.PlacePlaceChildDTO]
    :param meters: An array of child meters. A child meter is one directly
     beneath the current place on the buildings and meters tree
    :type meters: list[~energycap.sdk.models.LogicalDeviceMeterChildDTO]
    :param contact: The place's contact information
    :type contact: ~energycap.sdk.models.AccountsContactChildDTO
    """

    _attribute_map = {
        'place_id': {'key': 'placeId', 'type': 'int'},
        'place_code': {'key': 'placeCode', 'type': 'str'},
        'place_info': {'key': 'placeInfo', 'type': 'str'},
        'parent': {'key': 'parent', 'type': 'PlacePlaceChildDTO'},
        'place_type': {'key': 'placeType', 'type': 'PlacePlaceTypeResponseDTO'},
        'created_date': {'key': 'createdDate', 'type': 'iso-8601'},
        'created_by': {'key': 'createdBy', 'type': 'UserUserChildDTO'},
        'modified_date': {'key': 'modifiedDate', 'type': 'iso-8601'},
        'modified_by': {'key': 'modifiedBy', 'type': 'UserUserChildDTO'},
        'address': {'key': 'address', 'type': 'AccountsAddressChildDTO'},
        'build_date': {'key': 'buildDate', 'type': 'iso-8601'},
        'primary_use': {'key': 'primaryUse', 'type': 'PrimaryUsePrimaryUseChildDTO'},
        'weather_station': {'key': 'weatherStation', 'type': 'LogicalDeviceWeatherStationChildDTO'},
        'size': {'key': 'size', 'type': 'PlacePlaceSizeChildDTO'},
        'energy_star_enabled': {'key': 'energyStarEnabled', 'type': 'bool'},
        'energy_star_rating': {'key': 'energyStarRating', 'type': 'PlaceEnergyStarRatingChildDTO'},
        'places': {'key': 'places', 'type': '[PlacePlaceChildDTO]'},
        'meters': {'key': 'meters', 'type': '[LogicalDeviceMeterChildDTO]'},
        'contact': {'key': 'contact', 'type': 'AccountsContactChildDTO'},
    }

    def __init__(self, place_id=None, place_code=None, place_info=None, parent=None, place_type=None, created_date=None, created_by=None, modified_date=None, modified_by=None, address=None, build_date=None, primary_use=None, weather_station=None, size=None, energy_star_enabled=None, energy_star_rating=None, places=None, meters=None, contact=None):
        super(PlacePlaceResponseDTO, self).__init__()
        self.place_id = place_id
        self.place_code = place_code
        self.place_info = place_info
        self.parent = parent
        self.place_type = place_type
        self.created_date = created_date
        self.created_by = created_by
        self.modified_date = modified_date
        self.modified_by = modified_by
        self.address = address
        self.build_date = build_date
        self.primary_use = primary_use
        self.weather_station = weather_station
        self.size = size
        self.energy_star_enabled = energy_star_enabled
        self.energy_star_rating = energy_star_rating
        self.places = places
        self.meters = meters
        self.contact = contact
