# coding=utf-8
# --------------------------------------------------------------------------
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class UDFUDFCreateDTO(Model):
    """UDFUDFCreateDTO.

    :param udf_type: The UDF type. Possible value include: "Vendor", "Place",
     "Account" and "Meter" <span class='property-internal'>Required</span>
     <span class='property-internal'>Must be between 0 and 32 characters</span>
    :type udf_type: str
    :param name: The UDF's name <span
     class='property-internal'>Required</span> <span
     class='property-internal'>Must be between 0 and 32 characters</span>
    :type name: str
    :param data_type_id: The UDF's data type identifier. Possible value
     include 1 (boolean), 2 (integer), 3 (string), 4 (double), 6 (date), 12
     (select list) and 13 (url) <span class='property-internal'>Required</span>
    :type data_type_id: int
    :param display_order: <p>The UDF's display order</p>
     <p>A value of 1 or less will put this record the beginning of the list</p>
     <p>If the display order exists it will put this record at that spot.
     Display orders greater than or equal to this will be incremented by 1</p>
     <p>A value greater than the stored max will put this record at the end of
     the list</p> <span class='property-internal'>Required</span>
    :type display_order: int
    :param udf_select_values: <p>An array of options to populate a UDF select
     list.</p>
     <p>Required when dataTypeId is 12 otherwise this will be ignored.</p>
     <span class='property-internal'>Required when dataTypeId is set to
     12</span>
    :type udf_select_values:
     list[~energycap.sdk.models.UDFUDFSelectValueCreateDTO]
    """

    _validation = {
        'udf_type': {'required': True, 'max_length': 32, 'min_length': 0},
        'name': {'required': True, 'max_length': 32, 'min_length': 0},
        'data_type_id': {'required': True},
        'display_order': {'required': True},
    }

    _attribute_map = {
        'udf_type': {'key': 'udfType', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'data_type_id': {'key': 'dataTypeId', 'type': 'int'},
        'display_order': {'key': 'displayOrder', 'type': 'int'},
        'udf_select_values': {'key': 'udfSelectValues', 'type': '[UDFUDFSelectValueCreateDTO]'},
    }

    def __init__(self, udf_type, name, data_type_id, display_order, udf_select_values=None):
        super(UDFUDFCreateDTO, self).__init__()
        self.udf_type = udf_type
        self.name = name
        self.data_type_id = data_type_id
        self.display_order = display_order
        self.udf_select_values = udf_select_values
